Bug 1016258 - Review Request: mingw-log4c - an application message logging library
Review Request: mingw-log4c - an application message logging library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Scott Talbert
Fedora Extras Quality Assurance
:
Depends On: mingw32-binutils 454410 mingw32-filesystem mingw32-expat
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 14:52 EDT by František Dvořák
Modified: 2016-08-14 12:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-log4c-1.2.4-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
swt: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description František Dvořák 2013-10-07 14:52:02 EDT
Spec URL: http://scientific.zcu.cz/fedora/mingw-log4c-1.2.4-1/mingw-log4c.spec
SRPM URL: http://scientific.zcu.cz/fedora/mingw-log4c-1.2.4-1/mingw-log4c-1.2.4-1.fc21.src.rpm
Description: Log4c is a C language library for flexible logging to files, syslog and other destinations. It is modeled after the Log for Java library (log4j), staying as close to their API as is reasonable.
Fedora Account System Username: valtri
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6033040

Rpmlint output:
mingw-log4c.src: W: spelling-error %description -l en_US syslog -> slog
mingw32-log4c-debuginfo.noarch: E: debuginfo-without-sources
mingw32-log4c.noarch: W: spelling-error %description -l en_US syslog -> slog
mingw64-log4c-debuginfo.noarch: E: debuginfo-without-sources
mingw64-log4c.noarch: W: spelling-error %description -l en_US syslog -> slog
5 packages and 0 specfiles checked; 2 errors, 3 warnings.
Comment 1 Scott Talbert 2013-11-04 23:06:21 EST
Overall looks very good.  Only one possible issue, see below.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[ ]: Possible license field issue.  Two of the files (domnode-expat.c and
stack.c) are MIT licensed, so I think MIT should be included in the license
field as well.  Additionally, for the GPL code, I think it should be listed as
LGPLv2 (vice LGPLv2+) - I did not see the "or later version" listed somewhere,
unless I missed it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "LGPL (v2.1 or later)", "GPL (v2 or later)",
     "Unknown or generated". 93 files have unknown license. Detailed output of
     licensecheck in /home/talbert/fedora-review/1016258-mingw-
     log4c/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package (N/A for MinGW)
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 12 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-log4c , mingw64-log4c
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-log4c : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/log4c.pc mingw64-log4c : /usr/x86_64-w64-mingw32
     /sys-root/mingw/lib/pkgconfig/log4c.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-log4c-1.2.4-1.fc21.noarch.rpm
          mingw64-log4c-1.2.4-1.fc21.noarch.rpm
          mingw-log4c-1.2.4-1.fc21.src.rpm
mingw32-log4c.noarch: W: spelling-error %description -l en_US syslog -> slog
mingw64-log4c.noarch: W: spelling-error %description -l en_US syslog -> slog
mingw-log4c.src: W: spelling-error %description -l en_US syslog -> slog
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw32-log4c mingw64-log4c
mingw32-log4c.noarch: W: spelling-error %description -l en_US syslog -> slog
mingw64-log4c.noarch: W: spelling-error %description -l en_US syslog -> slog
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw32-log4c (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libexpat-1.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(msvcrt.dll)
    mingw32(user32.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-log4c (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libexpat-1.dll)
    mingw64(msvcrt.dll)
    mingw64(user32.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-log4c:
    mingw32(liblog4c-3.dll)
    mingw32-log4c

mingw64-log4c:
    mingw64(liblog4c-3.dll)
    mingw64-log4c



Source checksums
----------------
http://downloads.sourceforge.net/log4c/log4c-1.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : 5991020192f52cc40fa852fbf6bbf5bd5db5d5d00aa9905c67f6f0eadeed48ea
  CHECKSUM(SHA256) upstream package : 5991020192f52cc40fa852fbf6bbf5bd5db5d5d00aa9905c67f6f0eadeed48ea


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1016258
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 František Dvořák 2013-11-05 15:20:43 EST
> 
> Issues:
> =======
> [ ]: Possible license field issue.  Two of the files (domnode-expat.c and
> stack.c) are MIT licensed, so I think MIT should be included in the license
> field as well.  Additionally, for the GPL code, I think it should be listed
> as
> LGPLv2 (vice LGPLv2+) - I did not see the "or later version" listed
> somewhere,
> unless I missed it.

Nice catch! The license is LGPLv2 of course (and the same is for the native log4c package).

Due to the MIT license files: it looks like domnode-expat.c is relicensed under the license of log4c (there is added text "see COPYING"), but stack.c doesn't have this text added. Maybe it's just forgotten? I'm currently upstream maintainer (although not the original author), so we can consider upstream noticed. ;-)

I guess the best will be just to use "LGPLv2 and MIT" here? (According to the current source files?)

New version:

Spec URL: http://scientific.zcu.cz/fedora/mingw-log4c-1.2.4-2/mingw-log4c.spec
SRPM URL: http://scientific.zcu.cz/fedora/mingw-log4c-1.2.4-2/mingw-log4c-1.2.4-2.fc21.src.rpm
Comment 3 Scott Talbert 2013-11-05 17:38:25 EST
(In reply to František Dvořák from comment #2)
> I guess the best will be just to use "LGPLv2 and MIT" here? (According to
> the current source files?)
> 
> New version:
> 
> Spec URL:
> http://scientific.zcu.cz/fedora/mingw-log4c-1.2.4-2/mingw-log4c.spec
> SRPM URL:
> http://scientific.zcu.cz/fedora/mingw-log4c-1.2.4-2/mingw-log4c-1.2.4-2.fc21.
> src.rpm

Looks good to me, approved.
Comment 4 František Dvořák 2013-11-05 17:54:37 EST
New Package SCM Request
=======================
Package Name: mingw-log4c
Short Description: Application message logging library
Owners: valtri
Branches: f18 f19 f20
InitialCC:
Comment 5 Jon Ciesla 2013-11-06 08:00:55 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-11-06 15:28:44 EST
mingw-log4c-1.2.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-log4c-1.2.4-2.fc20
Comment 7 Fedora Update System 2013-11-06 15:29:51 EST
mingw-log4c-1.2.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-log4c-1.2.4-2.fc19
Comment 8 Fedora Update System 2013-11-06 15:30:49 EST
mingw-log4c-1.2.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-log4c-1.2.4-2.fc18
Comment 9 Fedora Update System 2013-11-07 14:11:32 EST
mingw-log4c-1.2.4-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-11-16 01:54:40 EST
mingw-log4c-1.2.4-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-11-16 02:10:37 EST
mingw-log4c-1.2.4-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2013-11-16 02:11:40 EST
mingw-log4c-1.2.4-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.